<?php

declare(strict_types=1);

namespace PHPNative\Tailwind\Style;

class Color implements Style
{
    public function __construct(
        public int $red = -1,
        public int $green = -1,
        public int $blue = -1,
        public int $alpha = 255,
    ) {}

    public function isNotSet(): bool
    {
        return $this->red != -1 || $this->green != -1 || $this->blue != -1;
    }
}
